Description

Curved labels in city streets are often illegible if the angle is upwards or ugly if the angle is downwards.

The option 'Maximum angle between curved characters' only prevents the label being drawn at all.

What we need is an option to specify that the curvature is based upon the mean line, not the base line. Furthermore we need to be able to

specify an extra amount of spacing depending upon the angle between two characters. 

Alternatively the curvature could use the base line if the angle is downward and the ascender line if the angle is upward. However the

issue of ugly labeling remains.

Associated revisions

Revision f6d07a33 - 2016-07-20 05:04 AM - Frits van Veen

[labeling] Curved labels are now angled per character

...instead of shifted along base line (fix #15210)

Revision 22fdb6ab - 2016-07-26 10:37 PM - Frits van Veen

[labeling] Curved labels are now angled per character

...instead of shifted along base line (fix #15210)

Revision c95e08fc - 2016-07-26 10:38 PM - Nyall Dawson

[labeling] Curved labels are now angled per character

...instead of shifted along base line (fix #15210)

(cherry-picked from 22fdb6ab9fcb076f3f3e8601fa4bdc7e0894a103)

Revision cd394239 - 2016-07-27 06:49 AM - Nyall Dawson

[labeling] Curved labels are now angled per character

...instead of shifted along base line (fix #15210)

(cherry-picked from 22fdb6ab9fcb076f3f3e8601fa4bdc7e0894a103)
Revision 6f904fb2 - 2016-07-30 01:29 AM - Nyall Dawson

[labeling] Curved labels are now angled per character

...instead of shifted along base line (fix #15210)

(cherry-picked from 22fdb6ab9fcb076f3f3e8601fa4bdc7e0894a103)

History

#1 - 2016-07-17 03:35 AM - Giovanni Manghi

- Status changed from Open to In Progress

see https://github.com/qgis/QGIS/pull/3313

#2 - 2016-07-18 08:29 PM - Nyall Dawson

Off topic - what font are you using for the road labels?

#3 - 2016-07-19 08:06 PM - Frits van Veen

- Status changed from In Progress to Closed

Fixed in changeset commit:"f6d07a33b71a9b19579d19dadbe777b1f14c6842".

#4 - 2016-07-19 09:27 PM - Frits van Veen
